stages:
  - build
  - deploy

build:
  stage: build
  image: node:18-alpine
  cache:
    paths:
      - node_modules/
  variables:
    CI: "false"
  script:
    - echo "Start building App"
    - npm ci
    - npm run build
    - cp build/index.html build/404.html
    - echo "Build successfully"
  artifacts:
    paths:
      - build
  tags:
    - run-on-docker # refind gitlab runner

pages:
  stage: deploy
  image: alpine
  variables: 
    GIT_STRATEGY: none # Dont clone the project, we only need artifact
  tags:
    - run-on-docker
  script:
    - rm -rf public
    - mv build public # rename build folder to public to deploy it on gitlab pages
  artifacts:
    paths:
      - public
